## org.freedesktop.UDisks2.Drive.LsmLocal

org.freedesktop.UDisks2.Drive.LsmLocal — Interface exported on disk drive objects for managing

## Methods

    TurnIdentLEDOn  (IN  a{sv} options);
    TurnIdentLEDOff (IN  a{sv} options);
    TurnFaultLEDOn  (IN  a{sv} options);
    TurnFaultLEDOff (IN  a{sv} options);

## Description

local direct attached storage. `since`: 2.6.3

Objects implementing this interface also implement the org.freedesktop.UDisks2.Drive interface. This interface will exist on all disk drive objects.

## Method Details

### The TurnIdentLEDOn() method

    TurnIdentLEDOn (IN  a{sv} options);

Turn on the identification LED of disk. This method only works on SCSI enclosure disks yet. Error 'org.freedesktop.UDisks2.Error.NotSupported' will be raised if not supported.

`IN a{sv} `options``: | Options (currently unused except for standard options).

Since 2.6.3

### The TurnIdentLEDOff() method

    TurnIdentLEDOff (IN  a{sv} options);

Turn off the identification LED of disk. This method only works on SCSI enclosure disks yet. Error 'org.freedesktop.UDisks2.Error.NotSupported' will be raised if not supported.

`IN a{sv} `options``: | Options (currently unused except for standard options).

Since 2.6.3

### The TurnFaultLEDOn() method

    TurnFaultLEDOn (IN  a{sv} options);

Turn on the fault LED of disk. This method only works on SCSI enclosure disks yet. Error 'org.freedesktop.UDisks2.Error.NotSupported' will be raised if not supported.

`IN a{sv} `options``: | Options (currently unused except for standard options).

Since 2.6.3

### The TurnFaultLEDOff() method

    TurnFaultLEDOff (IN  a{sv} options);

Turn off the fault LED of disk. This method only works on SCSI enclosure disks yet. Error 'org.freedesktop.UDisks2.Error.NotSupported' will be raised if not supported.

`IN a{sv} `options``: | Options (currently unused except for standard options).

Since 2.6.3